package io.renren.modules.levelManage.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.levelManage.entity.LevelTableEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-03-30 16:57:16
 */
@Mapper
public interface LevelTableDao extends BaseMapper<LevelTableEntity> {
	int createTable(@Param("tableName") String tableName,@Param("cols") List<Map<String,String>> cols);

	List<Map<String,Object>> listByLevelId(@Param("id") Long id);

	List<String> listColsByLevelId(@Param("id") Long id);

	List<String> listCommentByLevelId(@Param("id") Long id);

	List<String> listTypeByLevelId(@Param("id") Long id);

	Integer removeByIdsFromTableName(@Param("ids") List<Long> ids, @Param("tableName") String tableName);

	List<String> listBoolColsByLevelId(@Param("id") Long id);
}
